package com.jeffhanson.governance;

import com.jeffhanson.mediation.Message;
import com.jeffhanson.governance.policies.PolicyModule;
import com.jeffhanson.governance.privacy.PrivacyModule;
import com.jeffhanson.governance.security.SecurityModule;

/**
 * User: jhanson
 * Date: Aug 9, 2008
 * Time: 4:42:12 PM
 */
public interface GovernanceEngine
{
  void processInboundMessage(Message message)
    throws GovernanceException;

  void initialize();

  void setPolicyModule(PolicyModule policyModule);

  void setPrivacyModule(PrivacyModule privacyModule);

  void setSecurityModule(SecurityModule securityModule);
}
