package com.jeffhanson.monitoring;

/**
 * User: jhanson
 * Date: Aug 3, 2008
 * Time: 7:28:07 PM
 */
public interface EventProtocolAdapter
{
  void initialize()
    throws EventProtocolAdapterException;

  public void addEventReceivedListener(ProtocolAdapterListener listener);

  public void removeEventReceivedListener(ProtocolAdapterListener listener);

  public void start()
    throws EventProtocolAdapterException;

  public void stop()
    throws EventProtocolAdapterException;
}
