package com.jeffhanson.mashups.timeseries;

import java.util.EventObject;

/**
 * User: jhanson
 * Date: Aug 24, 2008
 * Time: 7:47:23 PM
 */
public class TimeSeriesChangedEvent
  extends EventObject
{
  private Interval interval = null;

  /**
   * Constructs a prototypical Event.
   *
   * @param source The object on which the Event initially occurred.
   * @throws IllegalArgumentException if source is null.
   */
  public TimeSeriesChangedEvent(Object source, Interval interval)
  {
    super(source);

    this.interval = interval;
  }

  public Interval getInterval()
  {
    return interval;
  }
}
