package org.mashups4j.kernel.osgi;

import org.mashups4j.kernel.KernelException;

/**
 * User: jhanson
 * Date: Jul 14, 2008
 * Time: 7:58:32 PM
 */
public interface BundlePoller
{
  void start()
    throws KernelException;

  void stop()
    throws KernelException;

  void poll();
  
  void addBundlePollerListener(BundlePollerListener listener);

  void removeBundlePollerListener(BundlePollerListener listener);
}
