package org.mashups4j.mediation;

import org.mashups4j.mediation.auditing.AuditModule;
import org.mashups4j.mediation.logging.LoggingModule;
import org.mashups4j.governance.GovernanceEngine;
import org.mashups4j.mediation.transform.TransformModule;

/**
 * User: jhanson
 * Date: Aug 1, 2008
 * Time: 9:46:24 PM
 */
public interface Mediator
{
  void initialize();

  void mediate(Message message)
    throws MediationException;

  void setAuditModule(AuditModule auditModule);

  void setLoggingModule(LoggingModule loggingModule);

  void setGovernanceEngine(GovernanceEngine governanceEngine);

  void setTransformModule(TransformModule transformModule);
}
