package org.mashups4j.mediation.auditing;

import org.mashups4j.mediation.Message;

/**
 * User: jhanson
 * Date: Aug 1, 2008
 * Time: 11:03:50 PM
 */
public class SimpleAuditModule
  implements AuditModule
{
  public void initialize()
  {
  }

  public void processInboundMessage(Message message)
    throws AuditModuleException
  {
    if (null == message.getContentType() || message.getContentType().length() <= 0)
    {
      throw new AuditModuleException("Message content type is not set");
    }

    if (null == message.getContent() || message.getContent().length() <= 0)
    {
      throw new AuditModuleException("Message content is not set");
    }
  }
}
