package org.mashups4j.services;

import org.mashups4j.web.Model;

import javax.servlet.ServletContext;
import java.util.Map;

/**
 * User: jhanson
 * Date: Jun 11, 2008
 * Time: 5:28:18 PM
 */
public interface Service
{
  Model read(String path, Map params, ServletContext servletContext)
    throws ServiceException;

  void create(String path, Map params, ServletContext servletContext)
    throws ServiceException;

  void update(String path, Map params, ServletContext servletContext)
    throws ServiceException;

  void delete(String path, ServletContext servletContext)
    throws ServiceException;

  long getLastModified(String path, ServletContext servletContext)
    throws ServiceException;
}
