package org.mashups4j.web;

import javax.servlet.ServletContext;
import java.util.Map;

/**
 * User: jhanson
 * Date: Nov 8, 2008
 * Time: 12:42:36 PM
 */
public interface Action
{
  Model read(String pathInfo, Map parameterMap, ServletContext servletContext)
    throws ActionException;

  void create(String pathInfo, Map parameterMap, ServletContext servletContext)
    throws ActionException;

  void update(String pathInfo, Map parameterMap, ServletContext servletContext)
    throws ActionException;

  void delete(String pathInfo, ServletContext servletContext)
    throws ActionException;
}
