package org.mashups4j.web;

import junit.framework.TestCase;
import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * User: jhanson
 * Date: Nov 8, 2008
 * Time: 1:31:09 PM
 */
public class ActionCacheTest
  extends TestCase
{
  public ActionCacheTest(String name)
  {
    super(name);
  }

  public void setUp()
    throws Exception
  {
    super.setUp();
  }

  public void tearDown()
    throws Exception
  {
    super.tearDown();
  }

  public void testGet()
    throws Exception
  {
    Action action1 = ActionCache.get(null, "actions/action1");
    assertNotNull(action1);

    Action action2 = ActionCache.get(null, "actions/action2");
    assertNotNull(action2);

    try
    {
      Action bogusAction = ActionCache.get(null, "actions/bogus");
      throw new Exception("bogus action should have thrown an exception");
    }
    catch (ActionException e)
    {
      // this should happen
    }
  }

  public static Test suite()
  {
    return new TestSuite(ActionCacheTest.class);
  }
}
