package org.mashups4j.services.google;

/**
 * User: jhanson
 * Date: Nov 6, 2008
 * Time: 9:29:47 PM
 * 
 * A simple service interface that defines a GoogleMaps service.
 */
public interface GoogleMapsService
{
  /**
 * Converts a location string to latitude and longitude coordinates.
   *
   * @param locationStr - the location string to convert
   * @param latLong - the structure to hold the latitude and longitude
   * @throws Exception
  **/
  void locationToLatLong(String locationStr, LatitudeLongitude latLong)
    throws Exception;
}
