package org.mashups4j.services.twitter;

/**
 * User: jhanson
 * Date: Nov 6, 2008
 * Time: 9:29:47 PM
 * 
 * A simple service interface that defines a Twitter service.
 */
public interface TwitterService
{
  /**
 * Retrieves the location of a given user.
   *
   * @param targetUserID - the ID of the user
   * @throws Exception
  **/
  String getUserLocation(String targetUserID)
    throws Exception;
}
