package com.jeffhanson.services;

import com.jeffhanson.resources.Resource;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.ServletContext;

/**
 * User: jhanson
 * Date: Jun 11, 2008
 * Time: 5:28:18 PM
 */
public interface Service
{
  Resource readResource(String resourcePath, ServletContext servletContext)
    throws ServiceException;

  void createResource(String resourcePath, ServletContext servletContext, HttpServletRequest request)
    throws ServiceException;

  void updateResource(String resourcePath, ServletContext servletContext, HttpServletRequest request)
    throws ServiceException;

  void deleteResource(String resourcePath, ServletContext servletContext)
    throws ServiceException;

  long getResourceLastModified(String resourcePath, ServletContext servletContext)
    throws ServiceException;
}
