package com.jeffhanson.monitoring;

/**
 * User: jhanson
 * Date: Aug 3, 2008
 * Time: 7:27:48 PM
 */
public interface EventManager
{
  void initialize()
    throws EventManagerException;

  void addEventManagerListener(EventManagerListener listener);

  void start()
    throws EventManagerException;

  void stop()
    throws EventManagerException;

  void addProtocolAdapter(EventProtocolAdapter protocolAdapter);

  void removeProtocolAdapter(EventProtocolAdapter protocolAdapter);
}
