package com.jeffhanson.mashups.web;

/**
 * User: jhanson
 * Date: Sep 22, 2008
 * Time: 11:05:58 PM
 */
public class ValidatorFactory
{
  public static final String CONTACTS_VALIDATOR = "Contacts";

  public static Validator getValidator(String validatorName)
  {
    try
    {
      if (validatorName.equalsIgnoreCase(CONTACTS_VALIDATOR))
      {
        return new com.jeffhanson.mashups.web.ContactsValidator();
      }
      else
      {
        throw new Exception("Validator: "
                            + validatorName + " is not supported in "
                            + "ValidatorFactory.getValidator()");
      }
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }

    return null;
  }
}
