package org.mashups4j.web.actions;

import org.mashups4j.web.Action;
import org.mashups4j.web.Model;
import org.mashups4j.web.ActionException;

import javax.servlet.ServletContext;
import java.util.Map;

/**
 * User: jhanson
 * Date: Nov 8, 2008
 * Time: 1:16:37 PM
 */
public class Action2
  implements Action
{
  private Model model = new Model()
  {
    String contents = "";

    public String getMimeType()
    {
      return "text/plain";
    }

    public int getContentLength()
    {
      return toString().length();
    }

    public boolean canBeStringified()
    {
      return true;
    }

    public byte[] getBytes()
    {
      return toString().getBytes();
    }

    public void setContents(Object contents)
    {
      this.contents = contents.toString();
    }

    public String toString()
    {
      return contents;
    }
  };

  public Model read(String pathInfo, Map parameterMap, ServletContext servletContext)
    throws ActionException
  {
    model.setContents(this.getClass().getName() + ".read() was successful");
    return model;
  }

  public void create(String pathInfo, Map parameterMap, ServletContext servletContext)
    throws ActionException
  {
    System.out.println(this.getClass().getName() + ".create() was successful");
  }

  public void update(String pathInfo, Map parameterMap, ServletContext servletContext)
    throws ActionException
  {
    System.out.println(this.getClass().getName() + ".update() was successful");
  }

  public void delete(String pathInfo, ServletContext servletContext)
    throws ActionException
  {
    System.out.println(this.getClass().getName() + ".delete() was successful");
  }
}
