package org.mashups4j.workflow;

import java.util.Iterator;

public interface Workflow
{
  void addTask(String name,
               Task task,
               String onSuccessTransition,
               String onErrorTransition);

  Task getTask(String name);

  Iterator getTaskNames();

  void initialize(String workflowConfigName)
    throws WorkflowInitializationException;

  void execute(WorkflowContext workflowContext)
    throws WorkflowExecutionException;
}

