package org.mashups4j.web;

import junit.framework.TestCase;
import junit.framework.Test;
import junit.framework.TestSuite;

import java.util.HashMap;

/**
 * User: jhanson
 * Date: Nov 8, 2008
 * Time: 4:22:50 PM
 */
public class ActionTest
  extends TestCase
{
  public ActionTest(String name)
  {
    super(name);
  }

  public void setUp()
    throws Exception
  {
    super.setUp();
  }

  public void tearDown()
    throws Exception
  {
    super.tearDown();
  }

  public void testCreate()
    throws Exception
  {
    Action action1 = ActionCache.get(null, "actions/action1");
    assertNotNull(action1);
    action1.create("", new HashMap(), null);

    Action action2 = ActionCache.get(null, "actions/action2");
    assertNotNull(action2);
    action2.create("", new HashMap(), null);
  }

  public void testRead()
    throws Exception
  {
    Action action1 = ActionCache.get(null, "actions/action1");
    assertNotNull(action1);
    action1.read("", new HashMap(), null);

    Action action2 = ActionCache.get(null, "actions/action2");
    assertNotNull(action2);
    action2.read("", new HashMap(), null);
  }

  public void testUpdate()
    throws Exception
  {
    Action action1 = ActionCache.get(null, "actions/action1");
    assertNotNull(action1);
    action1.update("", new HashMap(), null);

    Action action2 = ActionCache.get(null, "actions/action2");
    assertNotNull(action2);
    action2.update("", new HashMap(), null);
  }

  public void testDelete()
    throws Exception
  {
    Action action1 = ActionCache.get(null, "actions/action1");
    assertNotNull(action1);
    action1.delete("", null);

    Action action2 = ActionCache.get(null, "actions/action2");
    assertNotNull(action2);
    action2.delete("", null);
  }

  public static Test suite()
  {
    return new TestSuite(ActionTest.class);
  }
}
